Package be.fgov.ehealth.dics.core.v4.actual.common

# Class AmppComponentEquivalentKeyType

java.lang.Object
be.fgov.ehealth.dics.core.v4.actual.common.AmppComponentEquivalentKeyType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConsultAmppComponentEquivalentType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class AmppComponentEquivalentKeyType extends Object implements Serializable

Java class for AmppComponentEquivalentKeyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmppComponentEquivalentKeyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="SequenceNr" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}PositiveShortType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AmppComponentEquivalentKeyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `short`
  `getSequenceNr()`
  Number determined by the provider for distinguishing an AMPPC Equivalent Specification from another.
  `void`
  `setSequenceNr(short value)`
  Sets the value of the sequenceNr property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AmppComponentEquivalentKeyType

    public AmppComponentEquivalentKeyType()

- ## Method Details

  - ### getSequenceNr

    public short getSequenceNr()
    Number determined by the provider for distinguishing an AMPPC Equivalent Specification from another. In case of many AMPPC Equivalent Specifications under an AMPPC, the order gives the priority of use of the equivalent specification from the most important (lowest value) to the least important (highest value).

  - ### setSequenceNr

    public void setSequenceNr(short value)
    Sets the value of the sequenceNr property.